<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\EventListener\Menu;

use Sylius\Bundle\UiBundle\Menu\Event\MenuBuilderEvent;

final class AdminMenuListener
{
    public function __invoke(MenuBuilderEvent $event)
    {
        $menu = $event->getMenu();

        $salesNode = $menu->getChild('sales');
        if (null !== $salesNode) {
            $salesNode
                ->addChild('dedi_quote_quotes', ['route' => 'dedi_quote_admin_quote_index'])
                ->setLabel('dedi_quote.ui.quote.menu_entry')
                ->setLabelAttribute('icon', 'handshake');
        }
    }
}
